std::set::end,std::set::cend(3)

NAME
std::set::end,std::set::cend - std::set::end,std::set::cend

Synopsis
   iterator end(); (until C++11)
   iterator end() noexcept; (since C++11)
   const_iterator end() const; (until C++11)
   const_iterator end() const noexcept; (since C++11)
   const_iterator cend() const noexcept; (since C++11)
   Returns an iterator to the element following the last element of the set.
   This element acts as a placeholder; attempting to access it results in undefined
   behavior.
   range-begin-end.svg

Parameters
   (none)

Return value
   Iterator to the element following the last element.

Complexity
   Constant.

Notes
   Because both iterator and const_iterator are constant iterators (and may in fact be
   the same type), it is not possible to mutate the elements of the container through
   an iterator returned by any of these member functions.

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <set>
 int main() {
   std::set<int> set = { 3, 1, 4, 1, 5, 9, 2, 6, 5 };
   std::for_each(set.cbegin(), set.cend(), [](int x) {
     std::cout << x << ' ';
   });
   std::cout << '\n';
 }

Output:
 1 2 3 4 5 6 9

See also
   begin returns an iterator to the beginning
   cbegin (public member function)
   (C++11)
   end
   cend returns an iterator to the end of a container or array
   (C++11) (function template)
   (C++14)